﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DotNetNuclear.Modules.ClientCentric.Entities
{
    public interface IItemModel
    {
        ///<summary>
        /// The ID of your object with the name of the ItemName
        ///</summary>
        int ItemId { get; set; }

        ///<summary>
        /// A string with the name of the ItemName
        ///</summary>
        string ItemName { get; set; }

        ///<summary>
        /// A string with the description of the object
        ///</summary>
        string ItemDescription { get; set; }

        ///<summary>
        /// An integer with the user id of the assigned user for the object
        ///</summary>
        Nullable<Int32> AssignedUserId { get; set; }

        ///<summary>
        /// The ModuleId of where the object was created and gets displayed
        ///</summary>
        int ModuleId { get; set; }

        ///<summary>
        /// An integer for the user id of the user who created the object
        ///</summary>
        int CreatedByUserId { get; set; }

        ///<summary>
        /// An integer for the user id of the user who last updated the object
        ///</summary>
        int LastModifiedByUserId { get; set; }

        ///<summary>
        /// The date the object was created
        ///</summary>
        DateTime CreatedOnDate { get; set; }

        ///<summary>
        /// The date the object was updated
        ///</summary>
        DateTime LastModifiedOnDate { get; set; }
    }
}
