﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="View.ascx.cs" Inherits="DotNetNuclear.Modules.ClientCentric.View" %>
<%@ Import Namespace="DotNetNuke.Services.Localization" %>

<asp:Panel id="alertsDiv" class="dnnFormMessage" style="display: none" runat="server">
    <div></div>
</asp:Panel>

<a data-bind="click: $root.addNew, if: $root.Editable" href="javascript:void(0);">Add Item</a>
<asp:Panel ID="pnlClientCentricItemList" data-bind="visible: Items().length > 0" runat="server">
    <ul class="tm_tl" data-bind="foreach: Items">
        <li class="tm_t">
            <h3>
                <span data-bind="text: ItemName"></span>
            </h3>
            <span class="tm_td" data-bind="text: ItemDescription"></span>
            <div data-bind="if: $root.Editable">
                <a data-bind="click: $root.edit" href="javascript:void(0);">Edit</a>
                <a data-bind="click: $root.delete" href="javascript:void(0);">Delete</a>
            </div>
        </li>
    </ul>
</asp:Panel>

<asp:Panel ID="pnlEditItem" data-bind="if: Item" CssClass="dnnuc-clientcentric-edit" runat="server">
    <div class="dnnForm dnnEditBasicSettings">
        <fieldset>
            <legend></legend>
            <div>
                <label for="itemId" data-bind="visible: false">ID</label>
                <label data-bind="text: Item().Id, visible: false"></label>
            </div>
            <div class="dnnFormItem">
                <label class="dnnLabel" for="name"><%= Localization.GetString("lblName", LocalResourceFile) %>:</label>
                <input data-bind="value: Item().ItemName" type="text" title="Name" />
            </div>
            <div class="dnnFormItem">
                <label class="dnnLabel" for="description"><%= Localization.GetString("lblDescription", LocalResourceFile) %></label>
                <input data-bind="value: Item().ItemDescription" type="text" title="Description" />
            </div>
            <div class="dnnFormItem">
                <label class="dnnLabel" for="ddlAssignedUser"><%= Localization.GetString("lblAssignedUser", LocalResourceFile) %></label>
                <select data-bind="value: Item().AssignedUserId" id="ddlAssignedUser" runat="server">
                </select>
            </div>
        </fieldset>
    </div>
    <ul class="dnnActions dnnClear">
        <li>
            <a data-bind="click: $root.update" href="javascript:void(0);" class="dnnPrimaryAction">Update</a>
        </li>
        <li>
            <a data-bind="click: $root.cancel" href="javascript:void(0);" class="dnnSecondaryAction">Cancel</a>
        </li>
    </ul>
</asp:Panel>

<asp:Panel ID="pnlAddItem" style="display:none" CssClass="dnnuc-clientcentric-edit" runat="server">
    <div class="dnnForm dnnEditBasicSettings">
        <fieldset>
            <legend></legend>
            <div class="dnnFormItem">
                <label class="dnnLabel" for="name"><%= Localization.GetString("lblName", LocalResourceFile) %>:</label>
                <input data-bind="value: $root.ItemName" type="text" title="Name" />
            </div>
            <div class="dnnFormItem">
                <label class="dnnLabel" for="description"><%= Localization.GetString("lblDescription", LocalResourceFile) %></label>
                <input data-bind="value: $root.ItemDescription" type="text" title="Description" />
            </div>
            <div class="dnnFormItem">
                <label class="dnnLabel" for="ddlAssignedUser"><%= Localization.GetString("lblAssignedUser", LocalResourceFile) %></label>
                <select data-bind="value: $root.AssignedUserId" id="ddlAssignedUserNew" runat="server">
                </select>
            </div>
        </fieldset>
    </div>
    <ul class="dnnActions dnnClear">
        <li>
            <a data-bind="click: $root.create" href="javascript:void(0);" class="dnnPrimaryAction">Add</a>
        </li>
        <li>
            <a data-bind="click: $root.reset" href="javascript:void(0);" class="dnnSecondaryAction">Cancel</a>
        </li>
    </ul>
</asp:Panel>

<script type="text/javascript">
    $(document).ready(function() {
        var viewModel = new ItemViewModel(<%=base.ModuleContext.ModuleId%>, 
                            '<%=base.ModuleContext.Configuration.DesktopModule.ModuleName%>',
                            '<%=pnlEditItem.ClientID%>', '<%=pnlAddItem.ClientID%>', <%=base.IsEditable.ToString().ToLower()%>);
        ko.applyBindings(viewModel);
    });
</script>


