﻿/*
' Copyright (c) 2013  DotNetNuclear LLC
'  All rights reserved.
' 
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
' DEALINGS IN THE SOFTWARE.
' 
*/

using System;
using System.Linq;
using System.Web.UI.WebControls;
using DotNetNuclear.Modules.ClientCentric.Components;
using DotNetNuke.Security;
using DotNetNuke.Services.Exceptions;
using DotNetNuke.Entities.Modules;
using DotNetNuke.Entities.Modules.Actions;
using DotNetNuke.Services.Localization;
using DotNetNuke.UI.Utilities;
using DotNetNuke.Web.Client.ClientResourceManagement;
using DotNetNuclear.Modules.ClientCentric.Entities;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using DotNetNuke.Entities.Users;

namespace DotNetNuclear.Modules.ClientCentric
{
    public partial class View : ClientCentricModuleBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                if (!Page.IsPostBack)
                {
                    //get a list of users to assign the user to the Object
                    populateUserLists();
                }
                DotNetNuke.Framework.ServicesFramework.Instance.RequestAjaxScriptSupport();
                DotNetNuke.Framework.ServicesFramework.Instance.RequestAjaxAntiForgerySupport();
            }
            catch (Exception exc) //Module failed to load
            {
                Exceptions.ProcessModuleLoadException(this, exc);
            }
        }

        protected void Page_PreRender(object sender, EventArgs e)
        {
            ClientResourceManager.RegisterStyleSheet(this.Page, base.ControlPath + "Resources/css/module.css", 
                                                     DotNetNuke.Web.Client.FileOrder.Css.DefaultPriority);

            ClientResourceManager.RegisterScript(this.Page, base.ControlPath + "Resources/js/knockout-2.2.1.js",
                                                 DotNetNuke.Web.Client.FileOrder.Js.jQuery);
            ClientResourceManager.RegisterScript(this.Page, base.ControlPath + "Resources/js/view.js",
                                                 DotNetNuke.Web.Client.FileOrder.Js.DefaultPriority);
        }

        private void populateUserLists()
        {
            var portalUsers = UserController.GetUsers(PortalId);
            ddlAssignedUser.DataSource = portalUsers;
            ddlAssignedUser.DataTextField = "Username";
            ddlAssignedUser.DataValueField = "UserId";
            ddlAssignedUser.DataBind();
            ddlAssignedUserNew.DataSource = portalUsers;
            ddlAssignedUserNew.DataTextField = "Username";
            ddlAssignedUserNew.DataValueField = "UserId";
            ddlAssignedUserNew.DataBind();
        }

    }
}